﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Script.Net.Scripts
{
	internal class ScriptContainer
	{
		private Dictionary<string, IScriptItem> _items = new Dictionary<string, IScriptItem>();


		public void Add(string key, IScriptItem item)
		{
			_items.Add(key, item);
		}

		public IEnumerable<IScriptItem> GetAll()
		{
			return _items.Values;
		}

		public bool HasKey(string key)
		{
			return _items.ContainsKey(key);
		}
	}
}
